UnspecifiedParameterException (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.UnspecifiedParameterException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap
Class UnspecifiedParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.martiansoftware.jsap.UnspecifiedParameterException

All Implemented Interfaces:
  Serializable

    public class UnspecifiedParameterException

extends RuntimeException

An exception thrown when an argument that requires a conversion (e.g., an integer) has no associated value, but it is retrieved by means of a type-specified method (e.g., `JSAPResult.getInt(String)`).

Author:
  Sebastiano Vigna
See Also:
  Serialized Form

Constructor Summary
`UnspecifiedParameterException(String paramID)` Creates a new `UnspecifiedParameterException` referencing the specified parameter.

Method Summary
`String` | `getID()` Returns the unique ID of the parameter whose retrieval was attempted.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnspecifiedParameterException

    public UnspecifiedParameterException(String paramID)

  Creates a new `UnspecifiedParameterException` referencing the specified parameter.

  Parameters:
    `paramID` - the unique ID of the parameter whose retrieval was attempted.

Method Detail

### getID

    public String getID()

  Returns the unique ID of the parameter whose retrieval was attempted.

  Returns:
    the unique ID of the parameter whose retrieval was attempted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap